
@font-face {
    font-family: "EuropeExt";
    src: url("/public/fonts/EuropeExt.otf");
    }
* {
    margin: 0;
    padding: 0;
    font-family: "EuropeExt", system-ui;
}
:root {
    --color-primary: #235ad1;
    --font-size : 11px;
    --menu-btn-font-size: 13px;
    --dark-gray: #404040;
    --light-gray: #7f7f7f;
}
body {
    background-color: var(--light-gray);
    min-width: 1280px;
}
header {
    background-color: var(--dark-gray);
    height: 70px;
    margin-top: 30px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 40px;
    .logo {
        display: flex;
        align-items: flex-end;
        a {
            text-decoration: none;
            color: #ffffff;
            font-size:25px;
            span {
                font-size: 50px;
            }
        }
    }
    .menu{
        height:100%;
        width: 60%;
        display: flex;
        align-items: flex-end;
        justify-content: center;
      
    }
    .menu-btn {
        color: #ffffff;
        background-color: var(--light-gray);
        text-transform: uppercase;
        margin-right: 10px;
        padding: 6px 15px;
        font-size: var(--menu-btn-font-size);
        cursor: pointer;
        &:hover {
            text-decoration: none;
            padding: 15px;
        }
    }
    
    .active-menu {
        padding: 15px;
    }
    .lk {
        border-radius:100%;
        // border: 1.5px solid #fff;
        width: 90px;
        height: 90px;
        position: relative;
        // overflow: hidden;
        .circle{
            border-radius:100%;
        border: 1.5px solid #fff;
        width: 90px;
        height: 90px;
        position: relative;
        overflow: hidden;
        }
        .avatar {
            background: url(/public/img/avatar.jpg) center center/ contain no-repeat;
            background-position: -15px 0px;
            padding: 90px;
            position: absolute;
            top: 0;
           
        }
        &:hover {          
            box-shadow: 0 0 0 rgba(187, 186, 185, 0.648);
            animation: pulse 2s linear infinite;
        }
        img {
            width: 100%;
            height: 100%;
        }
        @keyframes pulse {
            0% {
                box-shadow: 0 0 0 rgba(187, 186, 185, 0.648);
                
            }
            70% {
                box-shadow: 0 0 0 10px rgba(187, 186, 185, 0.372)
            }
            100% {
                box-shadow: 0 0 0 rgba(187, 186, 185, 0);
                
            }
        }
    }
    .name {
        position: absolute;
        color: #fff;
        font-size: 12px;
        font-weight: bold;
        font-family: cursive;
        bottom: -15px;
        right: 0;
    }

}
main {
    background-color: #efe4b7;
    padding: 10px 40px 0 40px;
    h1 {
        font-size: 20px;
        color: #000;
    }
    .container {
        margin: 0;
        padding: 0;
    }
    .learning {
        margin: 0;
        padding: 15px;
        .row {
            width: 65%;
            justify-content: space-between;
            .learning-menu {
                border-radius: 8px;
                font-size: var(--font-size);
                color: #000;
                min-width: 90px;
                padding: 5px;
                display: flex;
                justify-content: center;
                align-items: center;
                background-color: #fff;
                word-spacing: -1px;
                cursor: pointer;
                &:hover{
                    border: 2px solid #c7bb93;
                    background-color: transparent;
                    color: #ffffffa6;
                }
            }
            .learning-menu-active {
                border: 2px solid #c7bb93;
                background-color: transparent;
                color: #ffffffa6;
            }
        }
    }
    .flex {
        display: flex;
        align-items: center;
        justify-content: space-between;
        
    }
    .ii {
        // width: 50%;
        padding: 0;
        .video-items{
            display: flex;
            justify-content: space-between;
            flex-direction: column;
            .video-item-line{
                display: flex;
                justify-content: space-between;
                width: 100%;
                padding: 15px 0;

            }
            .video-item {
                // width: 280px;
                height: 230px;
                background: #ffffff;
                display: flex;
                justify-content: center;
                align-items: center;
                flex-direction: column;
                border-radius: 30px;
                iframe {
                    width: 250px;
                    height: 155px;
                }
                .video-title {
                    font-size: var(--font-size);
                    padding: 12px;
                }
            }
        }
        .prev-btn , .next-btn {
            width: 100%;
            display: flex;
            justify-content:center;
            align-items:center;
            svg {
                cursor: pointer;
            }
        }
        .next-btn {
            transform: rotate(180deg);

        }
    }
    .poster-block {
        padding: 15px 20px;
        width: 380px;
        background-color: #ffffff;
        position: absolute;
        right: 0;
        border-radius: 30px 0 0 30px;

        h3 {
            font-size: var(--font-size);
            display: flex;
            justify-content:center;
            align-items:center;
            

        }
        .poster-list {
            padding: 20px 35px 40px 25px;
        
            ol {
                margin-left: 20px;
                li{
                    list-style-type: none;
                    position: relative;
                    font-size: var(--menu-btn-font-size);
                    margin: 20px 0;
                    span{
                        font-weight: 700;
                        text-transform: uppercase;
                    }
                    p {
                        line-height:1;
                    }
                
                }
                .dots {
                    content:'';
                    width: 20px;
                    height: 20px;
                    background-color: #93d14d;
                    position: absolute;
                    border-radius: 15px;
                    left: -25px;
                    margin: 5px 0;
                }
                .active-dots {
                    background-color: #f00900;
                }

            }
        }
    }
}
footer {
    height: 50px;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    background-color: #efe4b7;
    padding: 0 10px;
    p{
        font-size: var(--font-size);
    }
}